corda / net.corda.core.node / ServicesForResolution

# ServicesForResolution

`interface ServicesForResolution`

Subset of node services that are used for loading transactions from the wire into fully resolved, looked up forms ready for verification.

See Also

ServiceHub

### Properties

identityService | `abstract val identityService: IdentityService`
storageService | `abstract val storageService: AttachmentsStorageService`

### Functions

loadState | `abstract fun loadState(stateRef: StateRef): TransactionState<*>` Given a StateRef loads the referenced transaction and looks up the specified output ContractState.

### Inheritors

ServiceHub | `interface ServiceHub : ServicesForResolution` A service hub simply vends references to the other services a node has. Some of those services may be missing or mocked out. This class is useful to pass to chunks of pluggable code that might have need of many different kinds of functionality and you don't want to hard-code which types in the interface.